601,100
562,"NULL"
586,
585,
564,
565,"j5ux0SQLOQa;MHISK`[`v<uB1Fy1P4y8NWR9pGnqFk28@ju2fO\WuVC^1mpsW9FY6n5jKKvy;1VL02M[s:PgbwfPnCRIPLUeG>>Ujacj`K?;[=V_trFzgr==@mDYrcWP0cH]Aw8MTnk\SxQGc>umJ>154GAhyg>_ek0RT<ycM9;[UZxAi8FY\M\lKV=3cjCw[Zxl3UF3"
559,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,0
561,0
590,0
637,0
577,0
578,0
579,0
580,0
581,0
582,0
572,79

#****Begin: Generated Statements***
#****End: Generated Statements****

# Loop through planning manager dimensions
vDimCount = DIMSIZ('}dimensions');
vDimIndex = 1;

while (vDimIndex <= vDimCount);
vDim = DIMNM('}dimensions', vDimIndex);

if (SUBST(vDim, 1, 4) @= '}sm_');

# Test to see if an attribute cube exists for the current dimension
vAttrDim = '}ElementAttributes_' | vDim;
vTest = TABDIM(vAttrDim,1);
if (vTest @<> '');

# Loop through all attributes in the dimension looking for attributes that have a matching language attribute
# _ENGLISH or _GERMAN or _FRENCH or _CHINESE
vAttrCount = DIMSIZ(vAttrDim);
vAttrIndex = 1;
while (vAttrIndex <= vAttrCount);
vAttr = DIMNM(vAttrDim,  vAttrIndex);

vFromAttr = vAttr | '_' | 'English';
vFromExists = DIMIX(vAttrDim, vFromAttr);
if (vFromExists > 0);

# Loop through all elements in the dimension moving the attribute value from the language to the main
vAttr_English=vAttr | '_' | 'English';
vAttr_French = vAttr | '_' | 'French';
vAttr_German = vAttr | '_' | 'German';
vEleCount = DIMSIZ(vDim);
vEleIndex = 1;
while (vEleIndex <= vEleCount);
vEle = DIMNM(vDim, vEleIndex);

dumpFile = 'c:\temp\strings-for-translation-dim-attributes.txt';
SetOutputCharacterSet(dumpFile, 'TM1CS_UTF8' );
TEXTOUTPUT(dumpFile, vDim, vAttr, vEle,ATTRS(vDim, vEle, vAttr_English),ATTRS(vDim, vEle, vAttr_French),ATTRS(vDim, vEle, vAttr_German) );

vEleIndex = vEleIndex + 1;
end;

endif;

vAttrIndex = vAttrIndex + 1;
end;

endif;

endif;

vDimIndex = vDimIndex + 1;
end;

#cube }sm_control_attribute_settings 
vCube = '}sm_control_attribute_settings';
vDim1 = '}sm_control_attributes';
vDim2 = '}sm_control_attribute_types';
vDim3 = '}sm_control_attribute_measures';
vDim1EleCount = DIMSIZ(vDim1);
vDim1EleIndex =1;
vDim2Ele = 'Task Action';
while (vDim1EleIndex<= vDim1EleCount);
vDim1Ele = DIMNM(vDim1, vDim1EleIndex);

vString_English = CELLGETS(vCube, vDim1Ele, vDim2Ele, 'display_name_English');
vString_French = CELLGETS(vCube, vDim1Ele, vDim2Ele, 'display_name_French');
vString_German = CELLGETS(vCube, vDim1Ele, vDim2Ele, 'display_name_German');
dumpFile = 'c:\temp\strings-for-translation-cube.txt';
SetOutputCharacterSet(dumpFile, 'TM1CS_UTF8' );
TEXTOUTPUT(dumpFile, vCube, vDim1Ele, vString_English, vString_French, vString_German);

vDim1EleIndex = vDim1EleIndex +1;
end;


573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,3

#****Begin: Generated Statements***
#****End: Generated Statements****
575,3

#****Begin: Generated Statements***
#****End: Generated Statements****
576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
